Bug 965701 - Wrong requirements for building kernel modules
Wrong requirements for building kernel modules
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: dkms (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: sunil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 965712
  Show dependency treegraph
 
Reported: 2013-05-21 11:12 EDT by Simone Caronni
Modified: 2013-07-15 21:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: dkms-2.2.0.3-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 21:03:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simone Caronni 2013-05-21 11:12:39 EDT
Description of problem:
When install dkms, required kernel components and gcc are not installed. At least kernel-devel should be installed by dkms

Version-Release number of selected component (if applicable):
dkms-2.2.0.3-2.el5
dkms-2.2.0.3-2.el6

How reproducible:
Always

Steps to Reproduce:
1. Install a minimal system
2. Install dkms
3. Create a dkms module with relevant config
4. Try to compile a dkms module

Actual results:
The module is not compiled as required components are missing.

Expected results:
Correct requirements are missing from package.

Additional info:
Pacakge seems mostly abandoned.
Comment 1 Fedora Update System 2013-06-20 07:22:14 EDT
dkms-2.2.0.3-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.fc19
Comment 2 Fedora Update System 2013-06-20 07:23:35 EDT
dkms-2.2.0.3-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.fc18
Comment 3 Fedora Update System 2013-06-20 07:25:23 EDT
dkms-2.2.0.3-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.fc17
Comment 4 Fedora Update System 2013-06-20 07:27:52 EDT
dkms-2.2.0.3-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.el6
Comment 5 Fedora Update System 2013-06-20 07:30:35 EDT
dkms-2.2.0.3-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.el5
Comment 6 Fedora Update System 2013-06-20 14:04:32 EDT
Package dkms-2.2.0.3-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dkms-2.2.0.3-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11369/dkms-2.2.0.3-7.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-26 03:21:35 EDT
dkms-2.2.0.3-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.fc19
Comment 8 Fedora Update System 2013-06-26 03:24:24 EDT
dkms-2.2.0.3-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.fc18
Comment 9 Fedora Update System 2013-06-26 03:29:20 EDT
dkms-2.2.0.3-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.fc17
Comment 10 Fedora Update System 2013-06-26 03:32:20 EDT
dkms-2.2.0.3-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.el6
Comment 11 Fedora Update System 2013-06-26 03:33:42 EDT
dkms-2.2.0.3-8.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.el5
Comment 12 Fedora Update System 2013-07-15 21:03:35 EDT
dkms-2.2.0.3-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-07-15 21:08:17 EDT
dkms-2.2.0.3-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-07-15 21:25:05 EDT
dkms-2.2.0.3-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-07-15 21:41:12 EDT
dkms-2.2.0.3-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-07-15 21:47:32 EDT
dkms-2.2.0.3-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.